class TLibException(Exception):
    pass

class FileNotExistError(TLibException):
    """ File does not exist """
    pass

class BadFormatError(TLibException):
    """ file contains bad format other than expected """
    pass

class RestServiceError(TLibException):
    """  REST service returned an unexpected or error response """
    pass

class BadJsonFormatError(TLibException):
    """ file contains bad formatted or invalid JSON """
    pass

